/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-31 17:36:02.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.Result;

/**
 * 短信服务接口
 *
 * @author: fengdesheng
 * @since: 2018/7/31
 */
public interface SmsService {

    /**
     * 获取短信验证码
     *
     * @param key
     * @param token
     * @param phone
     * @return
     * @throws Exception
     */
    Result<String> sendSmsCode(String key, String token, String phone) throws Exception;

    /**
     * 校验短信验证码
     *
     * @param key
     * @param token
     * @param phone
     * @param code
     * @return
     * @throws Exception
     */
    Result<String> checkSmsCode(String key, String token, String phone, String code) throws Exception;

}